List of the Inventory for an asset
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"summary": {
"assetType": "<string>",
"averageUnitCost": "<string>",
"costBasis": "2500.23",
"lots": [
{
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"cost": "<string>",
"id": "<string>",
"quantity": "<string>",
"unitCost": "<string>"
}
],
"quantity": "5.5",
"totalQuantityMissingCostBasis": "2.5",
"totalQuantityWithCostBasis": "3"
}
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List of the Inventory for an asset
Permissions required: Subaccount
List user’s inventory for an asset.
GET
/
tax
/
inventory
/
{subaccountId}
/
{assetTypeId}
List of the Inventory for an asset
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/inventory/{subaccountId}/{assetTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"summary": {
"assetType": "<string>",
"averageUnitCost": "<string>",
"costBasis": "2500.23",
"lots": [
{
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"cost": "<string>",
"id": "<string>",
"quantity": "<string>",
"unitCost": "<string>"
}
],
"quantity": "5.5",
"totalQuantityMissingCostBasis": "2.5",
"totalQuantityWithCostBasis": "3"
}
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the subaccount
Asset type identifier.
Query Parameters
Number of results
Required range:
x >= 0Offset of the results to start
Required range:
x >= 0Response
Successfully returned the inventory for an asset
Show child attributes
Show child attributes
Was this page helpful?